diff --git a/changelog b/changelog
index 9d0e779..64bea36 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20120402 tpd src/axiom-website/patches.html 20120402.04.tpd.patch
+20120402 tpd src/axiom-website/download.html add debian binary
 20120402 tpd src/axiom-website/patches.html 20120402.03.tpd.patch
 20120402 tpd faq fix FAQ 22: How do I check out the latest source?
 20120402 tpd src/axiom-website/patches.html 20120402.02.tpd.patch
diff --git a/src/axiom-website/download.html b/src/axiom-website/download.html
index 500050f..bfe98c2 100644
--- a/src/axiom-website/download.html
+++ b/src/axiom-website/download.html
@@ -210,6 +210,7 @@
      <td align="center"><!-- Mar 2012 -->
       <font face="Helvetica, Arial, sans-serif" size="+1">
       <a href="downloads/axiom-mar2012-src.tgz">src</a>
+      <a href="downloads/axiom-debian-mar2012-bin.tgz">bin</a>
       </font>
      </td>
     </tr>
@@ -663,20 +664,6 @@ export PATH=$AXIOM/bin:$PATH
 make
 </pre>
 
-
-<h2>CVS</h2>
-  Note: As of May 2009, CVS is no longer supported. Use Git.
-
-  To download the code from sourceforge, do:
-
-<pre>
-git clone git://git.savannah.nongnu.org/axiom.git
-cd axiom
-export AXIOM=`pwd`/mnt/<SYSNAME> (see table below)
-export PATH=$AXIOM/bin:$PATH
-make
-</pre>
-
 Or you can download the sourcecode from savannah:
 <pre>
 cd axiom
@@ -753,7 +740,7 @@ make
 echo 0 >/proc/sys/kernel/randomize_va_space
 apt-get install m4 libxpm-dev libxt-dev x-dev libx11-dev 
 apt-get install libxext-dev gettext git-core texlive gawk 
-git clone git://axiom.git.sourceforge.net/gitroot/axiom/axiom
+git clone git://github.com/daly/axiom.git
 cd axiom
 export AXIOM=`pwd`/mnt/ubuntu
 export PATH=$AXIOM/bin:$PATH
@@ -790,7 +777,7 @@ echo 0 >/proc/sys/kernel/randomize_va_space
 yast2 --install m4 git-core texlive gawk xterm emacs patch texlive-latex
 yast2 --install gcc xorg-x11-proto-devel make xorg-x11-libXpm-devel
 rpm -i texlive-latex-2007-69.noarch.rpm
-git clone git://axiom.git.sourceforge.net/gitroot/axiom/axiom
+git clone git://github.com/daly/axiom.git
 cd axiom
 export AXIOM=`pwd`/mnt/opensuse
 export PATH=$AXIOM/bin:$PATH
@@ -809,9 +796,9 @@ Next you need to install these packages:
 apt-get install gcc build-essential debhelper gettext gs-gpl html2text
 apt-get install intltool-debian libgmp3-dev libice-dev libxau-dev libxaw7-dev
 apt-get install po-debconf x-dev x11proto-input-dev x11proto-kb-dev 
-apt-get install libncurses5-dev libreadline5-dev libstdc++6-4.1-dev gawk
+apt-get install libreadline5-dev gawk
 apt-get install texlive-pstricks git-core texlive
-git clone git://axiom.git.sourceforge.net/gitroot/axiom/axiom
+git clone git://github.com/daly/axiom.git
 cd axiom
 export AXIOM=`pwd`/mnt/debian
 export PATH=$AXIOM/bin:$PATH
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 890dd35..e231dba 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3868,5 +3868,7 @@ src/axiom-website/download.html add ubuntu<br/>
 src/input/clements.input add example of spad code<br/>
 <a href="patches/20120402.03.tpd.patch">20120402.03.tpd.patch</a>
 faq fix FAQ 22: How do I check out the latest source?<br/>
+<a href="patches/20120402.04.tpd.patch">20120402.04.tpd.patch</a>
+src/axiom-website/download.html add debian binary<br/>
  </body>
 </html>
